package com.hfkj.service;

import com.hfkj.entity.BsMerRateApply;
import com.hfkj.entity.BsMerRateApplyDetail;

import java.util.List;
import java.util.Map;

/**
 * @className: BsMerRateApplyService
 * @author: HuRui
 * @date: 2023/7/25
 **/
public interface BsMerRateApplyService {

    /**
     * 编辑数据
     * @param merRateApply
     */
    void editData(BsMerRateApply merRateApply);

    /**
     * 修改费率申请
     * @param merRateApply
     * @param rateApplyDetailList
     */
    void rateApply(BsMerRateApply merRateApply, List<BsMerRateApplyDetail> rateApplyDetailList);

    /**
     * 根据id查询申请
     * @param id
     * @return
     */
    BsMerRateApply getRateApplyById(Long id);

    /**
     * 查询费率申请详情
     * @param rateApplyId
     * @param rateTypeCode
     * @return
     */
    BsMerRateApplyDetail getRateApplyDetail(Long rateApplyId,Integer rateTypeCode);

    /**
     * 查询费率申请列表
     * @param param
     */
    List<BsMerRateApply> getRateApplyList(Map<String, Object> param);

    /**
     * 查询费率详情列表
     * @param rateApplyId
     * @return
     */
    List<BsMerRateApplyDetail> getRateApplyDetailListByApply(Long rateApplyId);

    /**
     * 审核回调
     * @param merRateApply
     */
    void approveCallback(BsMerRateApply merRateApply);
}
